import React, { type ReactNode } from 'react';
import { type QuoteBuilder } from '../domains/quoteMode';
export declare function QuoteModeProvider({ children }: {
    children: ReactNode;
}): React.JSX.Element;
export declare function useQuoteBuilder(): QuoteBuilder;
